# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.release_notifications:transforms
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - release-balrog-scheduling
    - release-bouncer-aliases
    - release-version-bump
    - release-mark-as-shipped
    - push-bundle
    - post-beetmover-components-dummy

task-defaults:
    run-on-repo-type: [hg]
    name: notify-release-drivers-ship
    description: Sends email to release-drivers telling release was shipped.
    run-on-projects: []
    shipping-phase: ship
    worker-type: succeed
    notifications:
        emails:
            by-project:
                mozilla-(beta|release|esr.*): ["release-signoff@mozilla.org"]
                try: ["{config[params][owner]}"]
                default: []

tasks:
    firefox:
        shipping-product: firefox
        notifications:
            subject: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} updates are ready for signoff in Balrog!"
            message: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} updates are ready for signoff in Balrog!"
    devedition:
        shipping-product: devedition
        notifications:
            subject: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} updates are ready for signoff in Balrog!"
            message: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} updates are ready for signoff in Balrog!"
    firefox-android:
        shipping-product: firefox-android
        notifications:
            subject: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} is shipped!"
            message: "{task[shipping-product]} {release_config[version]} build{release_config[build_number]}/{config[params][project]} is shipped!"
